Subject: Re: [PATCH v2] lockfile: add PID file for debugging stale locks

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Dec 2025 10:33:32 +0900

Junio C Hamano <[email-masked]> writes:

> As this is about lockfile, you need to decide what should happen
> when an older version of Git, which is unaware of this new world
> order where .git/index.pid.lock declares ".git/index is being
> updated; you should not touch it!", comes to the repository.  You,
> as a user of the updated Git, do want them to stop interferring with
> the operation on the repository your new Git is making, and it means
> you should have some way to telling them "do not touch---you do not
> even understand what is in this repository!".

Ah, sorry, I take this back.  We are not replacing index.lock with
something else; we are adding index.pid.lock in addition; older
versions of Git would simply ignore the new file, still notice
index.lock and stop.  So no need for extensions, either.